PUT /rest/skills/{skill} — update a skill
curl --request PUT \
--url https://{tenant}.stamp.eu/rest/skills/{skill} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"category": "<string>",
"color": "<string>",
"description": "<string>",
"expirable": true,
"is_active": true,
"sort_order": 1,
"max_level": 5,
"level_labels": [
"<string>"
]
}
'import requests
url = "https://{tenant}.stamp.eu/rest/skills/{skill}"
payload = {
"name": "<string>",
"category": "<string>",
"color": "<string>",
"description": "<string>",
"expirable": True,
"is_active": True,
"sort_order": 1,
"max_level": 5,
"level_labels": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
category: '<string>',
color: '<string>',
description: '<string>',
expirable: true,
is_active: true,
sort_order: 1,
max_level: 5,
level_labels: ['<string>']
})
};
fetch('https://{tenant}.stamp.eu/rest/skills/{skill}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"category": "<string>",
"color": "<string>",
"description": "<string>",
"expirable": "<string>",
"is_active": "<string>",
"sort_order": "<string>",
"max_level": "<string>",
"level_labels": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Qualifikationen & Arbeitsbereiche
Qualifikation aktualisieren
PUT
/
skills
/
{skill}
PUT /rest/skills/{skill} — update a skill
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The skill ID
Body
application/json
Maximum string length:
255Maximum string length:
255Maximum string length:
7Pattern:
^#[0-9A-Fa-f]{6}$Required range:
x >= 0Required range:
1 <= x <= 10Maximum string length:
100Response
SkillResource
Show child attributes
Show child attributes
⌘I